##!/bin/bash
#
# build_env.sh - set the correct build environment
# 

# as documented in 
#   https://docs.zephyrproject.org/latest/develop/west/sign.html#mcuboot-imgtool

# the mcuboot process is described in:
#   https://docs.zephyrproject.org/latest/services/device_mgmt/dfu.html#dfu


export BUILD_ROOT=$(cd $(dirname $0) && pwd)
export TOOLCHAIN_VERSION="2.0.2"

echo "= prepare the environment (could also be done before calling the script) ="

export BOARD_ROOT=${BUILD_ROOT}
export ZEPHYR_SDK_INSTALL_DIR=$HOME/ncs/toolchains/v${TOOLCHAIN_VERSION}/opt/zephyr-sdk

# sdk version:
. ${HOME}/ncs/v${TOOLCHAIN_VERSION}/zephyr/zephyr-env.sh
echo "ZEPHYR_BASE=\"$ZEPHYR_BASE\""

# set default toolchain
west config --local build.cmake-args -- -DNCS_TOOLCHAIN_VERSION=${TOOLCHAIN_VERSION}

# define board root so the sg1500 board can be used
west config --local build.cmake-args -- -DBOARD_ROOT=${BOARD_ROOT}

# show environment info (mainly for debugging):
echo
echo "== available boards =="
west boards --board-root "$BOARD_ROOT" | grep sg1500
west boards | grep nrf9160dk

